Package org.drinkless.tdlib

# Class TdApi.PageBlockDetails

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockDetails

Enclosing class:
  TdApi

public static class TdApi.PageBlockDetails extends TdApi.PageBlock
A collapsible block.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.RichText`
  `header`
  Always visible heading for the block.
  `boolean`
  `isOpen`
  True, if the block is open by default.
  `TdApi.PageBlock[]`
  `pageBlocks`
  Block contents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockDetails()`
  A collapsible block.
  `PageBlockDetails(TdApi.RichText header, TdApi.PageBlock[] pageBlocks, boolean isOpen)`
  A collapsible block.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### header

    public TdApi.RichText header
    Always visible heading for the block.

  - ### pageBlocks

    public TdApi.PageBlock[] pageBlocks
    Block contents.

  - ### isOpen

    public boolean isOpen
    True, if the block is open by default.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockDetails

    public PageBlockDetails()
    A collapsible block.

  - ### PageBlockDetails

    public PageBlockDetails(TdApi.RichText header, TdApi.PageBlock[] pageBlocks, boolean isOpen)
    A collapsible block.
    Parameters:
      `header` - Always visible heading for the block.
      `pageBlocks` - Block contents.
      `isOpen` - True, if the block is open by default.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR